<?php
/**
 * Hooks Class
 *
 * @package errigal
 * @since 1.1.0
 */

namespace Errigal\Hook;

defined( 'ABSPATH' ) || exit;

/**
 * This class is in charge of adding hooks.
 *
 * @since 1.1.0
 */
class Errigal_Hooks extends Errigal_Hooks_Base {
	/**
	 * Adds hooks.
	 *
	 * @since 1.1.0
	 *
	 * @return void
	 */
	protected function add_hooks() {
		new Errigal_Asset_Hooks();
		new Errigal_Comment_Hooks();
		new Errigal_Content_Hooks();
		new Errigal_Header_Hooks();
		new Errigal_Navigation_Hooks();
		new Errigal_Setup_Hooks();
		new Errigal_Sidebar_Hooks();

		if ( is_admin() ) {
			new Errigal_Admin_Hooks();
			new Errigal_Editor_Hooks();
		}

		if ( is_customize_preview() ) {
			new Errigal_Customiser_Hooks();
		}
	}
}
